Bug 228207 - net-mgmt/percona-monitoring-plugins: depends on PHP but does not support flavors
Summary: net-mgmt/percona-monitoring-plugins: depends on PHP but does not support flavors
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-13 00:10 UTC by rainer
Modified: 2019-08-13 11:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (alexey)


Attachments
percona-monitoring-tools-flavored (796 bytes, patch)
2018-06-13 18:34 UTC, rainer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2018-05-13 00:10:37 UTC
Hi,

it seems this port requires PHP but it does not build "flavored" versions for 5.6, 7.0, 7.1 and 7.2
Comment 1 rainer 2018-06-09 23:17:27 UTC
How is USES= php:cli 

used when also wanting 
USES= php:flavors


https://www.freebsd.org/doc/en/books/porters-handbook/flavors-auto-php.html
Comment 2 rainer 2018-06-13 18:34:29 UTC
Created attachment 194232 [details]
percona-monitoring-tools-flavored
Comment 3 rainer 2018-06-13 18:36:14 UTC
tz@ sent me the attached patch.

With it, the ports builds flavored.

I'm only really interested in the nagios checks.

Those seem to work, more or less (I'll open another PR about that)
Comment 4 rainer 2018-06-20 15:25:06 UTC
Hi,

would somebody commit this, so it can go into the next quarterly cut?



Thanks.
Comment 5 rainer 2018-08-13 09:43:34 UTC
Hi,

with the latest ports-tree, I get this error in poudriere:

[00:00:54] [03] [00:00:12] Skipping net-mgmt/percona-monitoring-plugins@php70 | php70-percona-monitoring-plugins-1.1.8: Dependent port databases/php56-pdo_mysql | php56-pdo_mysql-5.6.36_1 failed
[00:00:54] [03] [00:00:12] Skipping net-mgmt/percona-monitoring-plugins@php71 | php71-percona-monitoring-plugins-1.1.8: Dependent port databases/php56-pdo_mysql | php56-pdo_mysql-5.6.36_1 failed
[00:00:54] [03] [00:00:12] Skipping net-mgmt/percona-monitoring-plugins@php72 | php72-percona-monitoring-plugins-1.1.8: Dependent port databases/php56-pdo_mysql | php56-pdo_mysql-5.6.36_1 failed


with the patch above.
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-13 10:26:05 UTC
Whatever happened, should not happend anymore

lang/php56|lang/php72|2019-01-01|Has expired: Security Support ends on 31 Dec 2018.

There are still problems, or can we close here.
Comment 7 rainer 2019-08-13 10:42:07 UTC
It builds now, but I'm currently not sure which PHP version it relies on.
It does not seem to build flavored.

I admit I've created an archive of the actual nagios checks and extract those on the hosts where I need them.
Comment 8 Walter Schwarzenfeld freebsd_triage 2019-08-13 11:16:02 UTC
No, it does not build flavored, cause php conflicts with all other versions. You can only have installed one version of php.
Php version should be DEFAULT_VERSION=php72